/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.ca.eja.tableedit.backing;

import com.ca.eja.tableedit.controller.SampleService;
import com.ca.eja.tableedit.model.Kniha;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;

/**
 *
 * @author aubrech
 */
@ManagedBean(name="backing")
@SessionScoped
public class BackingBean {
    @EJB
    SampleService sampleService;

    private List<Kniha> dataList;
    private ListDataModel<Kniha> list = null;

    /** Creates a new instance of BackingBean */
    public BackingBean() {
    }

    @PostConstruct
    public void initModel() {
        dataList = sampleService.getSampleData();
        refreshModel();
    }

    public void refreshModel() {
        list = new ListDataModel<Kniha>(dataList);
    }

    public DataModel<Kniha> getList() {
        return list;
    }

    public String delete() {
        Kniha selected = list.getRowData();
        dataList.remove(selected);
        refreshModel();
        return null;
    }

    public String save() {
        // all is saved
        return null;
    }

    public String getSimpleList() {
        String delim = "";
        StringBuilder sb = new StringBuilder();
        for(Kniha k : dataList) {
            sb.append(delim).append(k.getNazev());
            delim = ", ";
        }
        return sb.toString();
    }
}
